<html><head><title>系统用户列表</title>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<LINK href="../CSS/Base.css" rel=stylesheet>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="../CSS/Notification.css" />
<script type="text/javascript" src="../JS/Actions.js.php"></script>
<script language="javascript"> 
function checkall(form) 
{
	if( form.all.checked)
	{
		for(var i = 0;i < form.elements.length-1; i++) 
		{
			var e = form.elements[i];
			if( ! e.disabled )	e.checked = true;
		}
	}
	else
	{
		for(var i = 0;i < form.elements.length-1; i++) 
		{
			var e = form.elements[i];
			if( ! e.disabled )	e.checked = false;
		}
    }
}
function refreshParent() {
   //window.location.replace(window.location.href);
   window.location.reload(true);
}
function importRefreshParent() {
   //self.location.replace(self.location.href);
   self.location.reload();
   parent.refreshNode();
}
function checkSelectUser()
{
	var strErr = "操作要求必须先选择一个或多个用户！";
	objField = document.Check_Form.administratorsID;
	if( typeof objField != 'undefined' )
	{
		if( objField.length == null )
		{
			if (! objField.disabled && objField.checked) return true;
			else
			{
				document.Check_Form.all.focus();
				$.notification(strErr);
				return false;
			}
		}
		else
		{
			for (i=0;i<objField.length;i++){
				if ( ! objField[i].disabled && objField[i].checked) return true;
			}
			document.Check_Form.all.focus();
			$.notification(strErr);
			return false;
		}
	}
	else
	{
		$.notification(strErr);
		return false;
	}	
}
function checkUserAction( actionValue )
{
	if ( checkSelectUser()) 
	{
		gId('formAction').value = actionValue;
		gId('Check_Form').submit();
	}
}

function deleteUserSubmit()
{
	if ( checkSelectUser()) 
	{
		if( window.confirm('您真的想删除选中用户吗？删除用户将删除该用户创建的所有问卷数据，并本操作不可恢复！?') )
		{
			checkUserAction('DeleUsersSubmit');
		}
	}
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false">

<div style="line-height:10px">&nbsp;</div>
<div class="q_clear">
<div>
<div>
<div class=q_clear id=mysurvey><h1 style="font-size: 16px;">列出系统中所有用户</h1><p class=surveynum>[ <span class=red>{recNum}</span> 用户 ]</p>&nbsp;&nbsp;<input class=stnsubmit name="createNew" type="button" id="createNew" value="新增用户" onclick="javascript:showPopWin('{addURL}', 640, 380, importRefreshParent, null,'新增系统用户')"><br/></div>
<div id=myname>用户指利用EnableQ提供的系统功能完成部分管理职能或任务的使用者</div>
<div class="datalist">
<form name="Check_Form" id="Check_Form" style="margin:0;padding:0" method="POST" action="">
  <table class=datatable id="datatable" style="border-bottom:0px" cellspacing=0 cellpadding=0>
		<tr><td colspan=7><span style="float:left;"><IMG SRC="../Images/search.gif">查找
		  用户名包含：<input type="text" name="name" value="{name}" size=15>
		  角色 <SELECT name="isAdmin" id="isAdmin">
		   <OPTION value="0">全部系统角色</OPTION>
		   <OPTION value="1" {option_1}>系统管理员</OPTION>
		   <OPTION value="6" {option_6}>用户管理员</OPTION>
		   <OPTION value="5" {option_5}>超级问卷员</OPTION>
		   <OPTION value="2" {option_2}>问卷设计员</OPTION>
		   <OPTION value="4" {option_4}>数据录入员</OPTION>
		   <OPTION value="7" {option_7}>数据审核员</OPTION>
		   <OPTION value="3" {option_3}>数据查看员</OPTION>
		  </SELECT>
           <input name="Action" type="hidden" id="Action" value="querySubmit"> 
           <input type="submit" class=inputsubmit name="Submit" value="查询"></span>	   
		  <span style="float:right;display:{isAdmin5}"><IMG SRC="../Images/excel.gif">&nbsp;<a href="javascript:void(0);" onclick="javascript:showPopWin('?Action=ImportNodes', 630, 240, importRefreshParent, null,'从CSV文件导入节点数据')">导入节点</a>&nbsp;&nbsp;<IMG SRC="../Images/excel.gif">&nbsp;<a href="javascript:void(0);" onclick="javascript:showPopWin('?Action=Import', 630, 240, importRefreshParent, null,'从CSV文件导入用户数据')">导入用户</a>&nbsp;</span>
		</td></tr>
        <tr class=coltitle> 
             <td width=3% align=center noWrap><input name="all" type="checkbox" id="all" value="all" onclick="checkall(this.form)" style="BACKGROUND-COLOR:#f5f5f5"></td>
             <td width=16% noWrap><strong>&nbsp;用户名</strong></td>
             <td width=16% noWrap><strong>昵称</strong></td>
             <td width=13% noWrap align=center><strong>角色</strong></td>
             <td width=8% noWrap align=center><strong>类型</strong></td>
             <td width=* align=center><strong>&nbsp;所属节点</strong></td>
		     <td width=15% nowrap align=center><strong>操作</strong></td>
        </tr>

         <!-- BEGIN USER -->
         <tr onmouseover="this.style.backgroundColor='#DEEFFF'"  onmouseout="this.style.backgroundColor='#FFFFFF'"> 
              <td align=center><input name="administratorsID[]" type="checkbox" id="administratorsID" value="{administratorsID}" {isAdmin1}></td>
              <td>&nbsp;{userName}</td>
              <td>{nickName}</td>
              <td align=center>{roleName}</td>
              <td align=center>{typeName}</td>
              <td align=center title="{userAllGroupName}">&nbsp;<a href="ShowGroupUserList.php?groupType={groupType}&groupId={groupId}" title="{userAllGroupName}">{userGroupName}</a></td>
			  <td align=center><a href="javascript:void(0);" onclick="javascript:showPopWin('{editURL}', 640, 380, importRefreshParent, null,'编辑系统用户信息')">编辑</a> <a href="{deleteURL}" style="display:{isSelf}" onclick="return window.confirm('{del_user_confim}')">删除</a> <a href="{closeURL}" {StopAlert}>{isStop}</a></td>
          </tr>
          <!-- END USER -->
		 <tr>
		    <td colspan=7 align=left>
			<input name="formAction" id="formAction" type="hidden">
            <input name="DeleUsersSubmit" class=inputsubmit type="button" id="DeleUsersSubmit" value="删除" onclick="javascript:deleteUserSubmit();"> 
            </td></tr>
     </table>
    </form>
</div>
<div class=pages>{pagesList}</div>
</div></div></div>
<script>
	switch({isAdminRole})
	{
		case 6:
			gId('isAdmin').remove(1);
			gId('isAdmin').remove(1);
		break;
		case 5:
			gId('isAdmin').remove(1);
			gId('isAdmin').remove(1);
			gId('isAdmin').remove(1);
		break;
	}
</script>

</body></html>
